## glam2 1064

=== purge/Makefile ===
# Compiler options:
CFLAGS = -Wall -O3

# Command for compiling purge:
purge: *.c *.h Makefile
	cc $(CFLAGS) -o purge *.c -lm

=== src/Makefile ===
# This file holds commands for compiling programs in the GLAM2 package

# These commands are customized for the gcc compiler, and may need to
# be modified for other compilers

# -Wall means turn on compiler warnings (optional)
# -O3 means optimization level 3 (the maximum for gcc)
# -lm means include the math library

# Source files for glam2:
GSRC = alphabet.c args.c column_sample.c dirichlet.c dna_prior.c	\
fasta.c glam2.c glam2_aln.c init.c output.c recode3_20comp.c		\
site_sample.c util.c

# Source files for glam2scan:
SSRC = alphabet.c scan_args.c dirichlet.c dna_prior.c fasta.c scan.c	\
scan_init.c scan_output.c recode3_20comp.c util.c heap.c motif.c	\
alignment.c

# Source files for glam2format:
FSRC = glam2format.c alignment.c fasta.c util.c

# Source files for glam2mask:
MSRC = glam2mask.c alignment.c fasta.c util.c

# Compiler options:
CFLAGS = -Wall -O3

# Default action: compile glam2, glam2scan, glam2format, and glam2mask
all: glam2 glam2scan glam2format glam2mask

# Command for compiling glam2:
glam2: $(GSRC) *.h Makefile
	cc $(CFLAGS) -o glam2 $(GSRC) -lm

# Command for compiling glam2scan:
glam2scan: $(SSRC) *.h Makefile
	cc $(CFLAGS) -o glam2scan $(SSRC) -lm

# Command for compiling glam2format:
glam2format: $(FSRC) *.h Makefile
	cc $(CFLAGS) -o glam2format $(FSRC) -lm

# Command for compiling glam2mask:
glam2mask: $(MSRC) *.h Makefile
	cc $(CFLAGS) -o glam2mask $(MSRC) -lm

# Here follow commands for compiling special versions of the programs

# Compile glam2 including FFT algorithm (requires FFTW to be installed):
glam2fft: $(GSRC) convolve.c *.h Makefile
	cc $(CFLAGS) -DFFT -o glam2fft $(GSRC) convolve.c -lm -lfftw3

# Compile for debugging with gdb or valgrind, with extra compiler warnings:
glam2_d: $(GSRC) *.h Makefile
	cc -Wall -W -pedantic -g -o glam2_d $(GSRC) -lm
glam2scan_d: $(SSRC) *.h Makefile
	cc -Wall -W -pedantic -g -o glam2scan_d $(SSRC) -lm
glam2format_d: $(FSRC) *.h Makefile
	cc -Wall -W -pedantic -g -o glam2format_d $(FSRC) -lm
glam2mask_d: $(MSRC) *.h Makefile
	cc -Wall -W -pedantic -g -o glam2mask_d $(MSRC) -lm

# Compile for profiling with gprof, with extra compiler warnings:
# Use -O2 to avoid function inlining
glam2_p: $(GSRC) *.h Makefile
	cc -Wall -W -pedantic -O2 -pg -o glam2_p $(GSRC) -lm
glam2scan_p: $(SSRC) *.h Makefile
	cc -Wall -W -pedantic -O2 -pg -o glam2scan_p $(SSRC) -lm

=== debian/changelog ===
glam2 (1064-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * rename debian/NEWS.Debian debian/NEWS (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 22:07:41 +0100

glam2 (1064-8) unstable; urgency=medium

  * Team upload.
  * Build for the right architecture
    Closes: 931154

 -- Nguyen Hoang Tung <tung.nguyenhoang@toshiba-tsdv.com>  Thu, 27 Jun 2019 14:32:02 +0200

glam2 (1064-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Restrictions: allow-stderr (for all tests)

  [ Saira Hussain]
  * Fix variable name on autopkgtest

 -- Saira Hussain <saira.h0213@zoho.com>  Mon, 18 Mar 2019 08:16:36 +0100

glam2 (1064-6) unstable; urgency=medium

  [ Saira Hussain ]
  * Team upload.
  * Add autopkgtest
    Closes: #909715

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Saira Hussain <saira.h0213@zoho.com>  Sat, 16 Mar 2019 22:56:33 +0100

glam2 (1064-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added ref to publication for superseded predecessor "glam" that
      is not in Debian itself.
    - yamllint cleanliness
    - Added references to catalogs.

  [ Andreas Tille ]
  * Drop get-orig-source target
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 10 Oct 2018 17:43:56 +0200

glam2 (1064-4) unstable; urgency=medium

  [ James McCoy ]
  * Moved debian/upstream to debian/upstream/metadata

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)
  * debhelper 10
  * No separate download for this package any more thus fake watch file
  * New homepage reflecting the merge with (unfortunately non-free) meme
  * Explain glam from meme in README.source
  * do not parse d/changelog
  * hardening

 -- Andreas Tille <tille@debian.org>  Wed, 27 Sep 2017 16:07:05 +0200

glam2 (1064-3) unstable; urgency=low

  [ Charles Plessy ]
  * Documented information in ‘debian/upstream’.

  [ Andreas Tille ]
  * debian/upstream: Took over some bit sof information from tasks
    file and move DOI+PMID to references
  * debian/control:
     - canonical Vcs fields
     - cme fix dpkg-control
  * debian/source/format: 3.0 (quilt)
  * debhelper 9 (control+compat)
  * debian/copyright: DEP5
  * debian/NEWS.Debian: Explain maintenance in MEME
  * debian/patches/hardening: propagate hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2013 15:07:59 +0100

glam2 (1064-2) unstable; urgency=low

  * debian/control, debian/reference: simplified long description and moved
    bibliographic references to a new file.

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Apr 2009 21:49:54 +0900

glam2 (1064-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release
    - One paragraph added to the tutorial.
    - Uses CFLAGS in makefiles (thanks Martin!)
  * Changed the doc-base section according to the new policy.
  * Updated my email address.
  * Added a get-orig-source target in debian/rules.
  * debian/patches/Makefiles removed because obsoleted.

  [ Andreas Tille ]
  * Better formatting of long description.

 -- Charles Plessy <plessy@debian.org>  Mon, 19 May 2008 18:46:20 +0900

glam2 (1058-1) unstable; urgency=low

  * New upstream release (Fixes bug in usage message: z_def was out of order.)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 14 Feb 2008 13:05:54 +0900

glam2 (1056-1) unstable; urgency=low

  * Initial release (Closes: #45237)

 -- Steffen Moeller <moeller@debian.org>  Tue, 13 Nov 2007 00:35:50 +0100

=== debian/control ===
Source: glam2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libfftw3-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/glam2
Vcs-Git: https://salsa.debian.org/med-team/glam2.git
Homepage: http://acb.qfab.org/acb/glam2/
Rules-Requires-Root: no

Package: glam2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: gapped protein motifs from unaligned sequences
 GLAM2 is a software package for finding motifs in sequences, typically
 amino-acid or nucleotide sequences. A motif is a re-occurring sequence
 pattern: typical examples are the TATA box and the CAAX prenylation motif. The
 main innovation of GLAM2 is that it allows insertions and deletions in motifs.
 .
 This package includes programs for discovering motifs shared by a set of
 sequences and finding matches to these motifs in a sequence database, as well
 as utilities for converting glam2 motifs to standard alignment formats,
 masking glam2 motifs out of sequences so that weaker motifs can be found, and
 removing highly similar members of a set of sequences.
 .
 The package includes these programs:
  glam2:       discovering motifs shared by a set of sequences;
  glam2scan:   finding matches, in a sequence database, to a motif discovered
               by glam2;
  glam2format: converting glam2 motifs to  standard alignment formats;
  glam2mask:   masking glam2 motifs out of sequences, so that weaker motifs
               can be found;
  glam2-purge: removing highly similar members of a set of sequences.
 .
 In this binary package, the fast Fourier algorithm (FFT) was enabled for the
 glam2 program.

=== debian/tests/control ===
Tests: check-no-args
Depends: @
Restrictions: allow-stderr

Tests: run-unit-test
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Site/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
